Summary: 	Kbiff is a new mail notification utility
Name:   	kbiff
Version: 	3.5.4
Release: 	3mdk
Source0: 	%{name}-%{version}.tar.bz2
License:  	GPL
Group: 		Graphical desktop/KDE
Url:		http://www.granroth.org/kbiff/index.html
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	arts kdelibs-devel libjpeg-devel libpng-devel libxml-devel XFree86-static-libs

%description
KBiff is a "biff", or new mail notification utility. It is highly configurable
but very easy to use and set up. It tries to combine the best of the features
of most of the "other" biff programs out there. KBiff supports all major
mailbox formats: mbox (Berkely style), maildir, mh, POP3, IMAP4 and NNTP.


%prep

%setup  -q

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --disable-rpath \
		    --disable-debug \
		    --enable-final 




%install
mkdir -p %buildroot/%_datadir/config/
make install DESTDIR=%buildroot 

install -d %buildroot/%_menudir/
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}):\
command="%_bindir/kbiff"\
title="Kbiff"\
icon="%{name}.png"\
longtitle="A mail notification utility"\
needs="kde"\
section="Networking/Mail"
EOF

mv %buildroot/%_prefix/man %buildroot/%_mandir/

%clean
rm -fr %buildroot

%post
%{update_menus}
/sbin/ldconfig 

%postun
%{clean_menus} 
/sbin/ldconfig 

%files 
#-f %name.lang
%defattr(-,root,root)
# Montel laurent 2001-03-28
#add just english doc because others doc
# are in kde-i18n package
%dir %_docdir/HTML/en/kbiff/
%doc %_docdir/HTML/en/kbiff/*.docbook
%doc %_docdir/HTML/en/kbiff/kbiff.png

%_bindir/*
%_libdir/*.so
%_libdir/*.la
#
%dir %_datadir/apps/%{name}/
%dir %_datadir/apps/%{name}/pics/
%_datadir/apps/%{name}/pics/*.png
#
%_datadir/icons/locolor/16x16/*
%_datadir/icons/locolor/32x32/*
%_datadir/icons/hicolor/48x48/*
%_datadir/icons/hicolor/32x32/*
%_datadir/icons/hicolor/16x16/*
%_datadir/applnk/Internet/*.desktop
%_menudir/*
%_mandir/man1/*.bz2

%changelog
* Sat Jan 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.5.4-3mdk
- Add missing files
- Make rpmlint happy

* Wed Jan 2 2002 Stefan van der Eijk <stefan@eijk.nu> 3.5.4-2mdk
- BuildRequires: arts

* Fri Nov 09 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.5.4-1mdk
- Update code (3.5.4)

* Mon Nov  5 2001 Stefan van der Eijk <stefan@eijk.nu> 3.5.2-2mdk
- BuildRequires revisited

* Wed Oct 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.5.2-1mdk
- Update code (3.5.2)

* Fri Oct 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.5.1-1mdk
- Update code (3.5.1)

* Thu Sep 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.5-1mdk
- Update code (3.5)

* Thu Sep 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.2-2mdk
- Rebuild

* Tue May 22 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.2-1mdk
- Update code (3.4.2)

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 3.4-4mdk
- Move KDE menu entry in %%_datadir/applnk
- Use more macro
- Don't delete usefull links for documentation
- Rebuild against latest GCC

* Sat Mar 31 2001 David BAUDENS <baudens@mandrakesoft.com> 3.4-3mdk
- Fix BuildRequires for non %%ix86 architectures

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4-2mdk
- Add build requires

* Tue Mar 27 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4-1mdk
- Update code

* Fri Mar 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- Update code

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 3.3.1-2mdk
- Rebuild agains Qt 2.3.0

* Thu Jan 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- Update code

* Thu Dec 07 2000 Laurent Montel <lmontel@mandrakesoft.com> 3.3-2mdk
- Fix package

* Mon Nov 22 2000 Laurent Montel <lmontel@mandrakesoft.com> 3.3-1mdk
- Initial package fix compile with gcc-2.96
